# Reverse_Lock_T.h File Reference

`#include "ace/Lock.h"`
`#include "ace/Reverse_Lock_T.inl"`
`#include "ace/Reverse_Lock_T.cpp"`

Include dependency graph for Reverse_Lock_T.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | ACE_Acquire_Method

## Classes

class | ACE_Reverse_Lock< ACE_LOCKING_MECHANISM >
| A reverse (or anti) lock. More...

## Enumerations

enum | METHOD_TYPE { ACE_REGULAR, ACE_READ, ACE_WRITE }

## Detailed Description

Id
  Reverse_Lock_T.h,v 4.3 2005/10/28 16:24:16 ossama Exp

Moved from Synch.h.

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

## Enumeration Type Documentation

enum METHOD_TYPE

Enumeration values:

  ACE_REGULAR |
  ACE_READ |
  ACE_WRITE |